--[[classe du background : sert à intercepter les évènements d'intéraction sur les zones non transparentes]]

.namespace Background

function OnEnable()
	if self.Layer == nil and self.Parent.ClassName == "SearchSite" then --on nre remplace qu s'il n'est pas défini déjà
		if string.find(self.Name,"background") then
			self.Layer = LayerBackground
		-- elseif string.find(self.Name,"middleground") then
			-- self.Layer = LayerMiddleground
		-- elseif string.find(self.Name,"foreground") then
			-- self.Layer = LayerForeground
		end
	end
end

-- on intercepte le click pour les objets cachés
function OnWbpMouseLDown(x,y)
	if self.CanClickOn() then
		--OPLog.Log("on a intercepté le click down sur "..self.Name.." !")	


		return true
	end	
	return false
end

function OnWbpMouseLUp(x,y)
	if self.CanClickOn() then
		--OPLog.Log("on a intercepté le click up sur "..self.Name.." !")	

		--on le met en onmouselup car sinon c'est fermé alors que l'on ne voulait pas
		if GameVariables.IsEqual('CurrentGamePhase','Closeup') then
			if self.Parent.AliasName == "CloseupSearch_Object" then
				--on rabat pas l'interface finalement
				--self.Parent.CloseInterface() --on rabat l'interface
			end
		end
		
		return true
	end	
	return false
end

function SetCursor()
	if self.CanClickOn() then
		if SampleLevel.IsEqual("s07_pince", true) and (GetCurrentManager().Name == "s07_SearchSite" or GetCurrentManager().Name == "s07_c01") then
			Cursor.ChangeCursor(10)
			return true
		else
			OPUnitFactory.GetUnit("Cursor","Cursor").ChangeCursorToGeneric()
			return true
		end
	end	
	return false
end

function CanClickOn()
	return ( GameVariables.IsEqual("CurrentGamePhase", "SearchSite") or GameVariables.IsEqual('CurrentGamePhase','Closeup')
			or GameVariables.IsEqual('CurrentGamePhase','Menu') or GameVariables.IsEqual("CurrentGamePhase", "Tutorial") )
			and self.NoIntercept==false
end

